Beefy Boxes and Bandwidth Generously Provided by pair Networks
Perl Monk, Perl Meditation
 
PerlMonks  

Re: Open page error for PDF::API2

by ikkon (Monk)
on Mar 07, 2007 at 18:16 UTC ( #603662=note: print w/ replies, xml ) Need Help??


in reply to Open page error for PDF::API2

I am still assumeing its not my script, other pdf scripts that where on the server that where working now have stopped working and giving the same error,

The administrator (though no real help) gave me a list of updates that was recently updated , which i can assume that might be the problem. Though i do not know if this will be a problem or not (not the best with servers)

would anyone by chance know if any of these updates would create a problem?

here are the updates:

Jul 01 16:59:48 Updated: libgcc.i386 3.4.3-22.1
Jul 01 16:59:48 Updated: hwdata.noarch 0.146.10.EL-1
Jul 01 16:59:48 Updated: pciutils-devel.i386 2.1.99.test8-3.1 Jul 01 16:59:52
Updated: tzdata.noarch 2005f-1.EL4 Jul 01 17:00:06
Updated: glibc-common.i386 2.3.4-2.9 Jul 01 17:00:11
Updated: glibc.i686 2.3.4-2.9 Jul 01 17:00:11
Updated: e2fsprogs.i386 1.35-12.1.EL4 Jul 01 17:00:18
Updated: perl.i386 3:5.8.5-12.1 Jul 01 17:00:18
Updated: chkconfig.i386 1.3.13.2-1 Jul 01 17:00:18
Updated: bzip2-libs.i386 1.0.2-13.EL4.2 Jul 01 17:00:18
Updated: popt.i386 1.9.1-9_nonptl Jul 01 17:00:18
Updated: rpm-libs.i386 4.3.3-9_nonptl Jul 01 17:00:19
Updated: libtiff.i386 3.6.1-8 Jul 01 17:00:19
Updated: libstdc++.i386 3.4.3-22.1 Jul 01 17:00:19
Updated: dbus.i386 0.22-12.EL.2 Jul 01 17:00:19
Updated: net-tools.i386 1.60-37.EL4.6 Jul 01 17:00:19
Updated: gzip.i386 1.3.3-15.rhel4 Jul 01 17:00:20
Updated: binutils.i386 2.15.92.0.2-13 Jul 01 17:00:21
Updated: device-mapper.i386 1.01.01-1.RHEL4 Jul 01 17:00:21
Updated: bzip2.i386 1.0.2-13.EL4.2 Jul 01 17:00:21
Updated: cpio.i386 2.5-7.EL4.1 Jul 01 17:00:21
Updated: cpp.i386 3.4.3-22.1 Jul 01 17:00:27
Updated: libstdc++-devel.i386 3.4.3-22.1 Jul 01 17:00:27
Updated: hotplug.i386 3:2004_04_01-7.5 Jul 01 17:00:28
Updated: e2fsprogs-devel.i386 1.35-12.1.EL4 Jul 01 17:00:29
Updated: glibc-headers.i386 2.3.4-2.9 Jul 01 17:00:30
Updated: glibc-devel.i386 2.3.4-2.9 Jul 01 17:00:32
Updated: gcc.i386 3.4.3-22.1 Jul 01 17:00:32
Updated: vim-minimal.i386 1:6.3.046-0.40E.4 Jul 01 17:00:33
Updated: dbus-glib.i386 0.22-12.EL.2 Jul 01 17:00:33
Updated: libf2c.i386 3.4.3-22.1 Jul 01 17:00:33
Updated: libtool-libs.i386 1.5.6-4.EL4.1 Jul 01 17:00:36
Updated: vim-common.i386 1:6.3.046-0.40E.4 Jul 01 17:00:36
Installed: centos-yumconf.noarch 4-4.2 Jul 01 17:00:36
Updated: vim-enhanced.i386 1:6.3.046-0.40E.4 Jul 01 17:00:36
Updated: libtool.i386 1.5.6-4.EL4.1 Jul 01 17:00:37
Updated: gcc-g77.i386 3.4.3-22.1 Jul 01 17:00:37
Updated: gcc-c++.i386 3.4.3-22.1 Jul 01 17:00:37
Updated: bzip2-devel.i386 1.0.2-13.EL4.2 Jul 01 17:00:37
Updated: dmraid.i386 1.0.0.rc6.1-3_RHEL4_U1 Jul 01 17:00:38
Updated: dbus-devel.i386 0.22-12.EL.2 Jul 01 17:00:38
Updated: rpm-build.i386 4.3.3-9_nonptl Jul 01 17:00:41
Updated: rpm-devel.i386 4.3.3-9_nonptl Jul 01 17:00:41
Updated: ntsysv.i386 1.3.13.2-1 Jul 01 17:00:47
Updated: emacs-common.i386 21.3-19.EL.1 Jul 01 17:00:47
Updated: enscript.i386 1.6.1-28.3 Jul 01 17:00:47
Updated: rsh.i386 0.17-25.3 Jul 01 17:00:47
Updated: psacct.i386 6.3.2-35.rhel4 Jul 01 17:00:47
Updated: strace.i386 4.5.9-2.EL4 Jul 01 17:00:47
Updated: diskdumputils.i386 1.0.1-5 Jul 01 17:00:47
Updated: telnet.i386 1:0.17-31.EL4.3 Jul 01 17:00:48
Updated: lsof.i386 4.72-1.1 Jul 01 17:00:48
Updated: crash.i386 3.10-11 Jul 01 17:00:49
Updated: gdb.i386 6.3.0.0-0.31 Jul 01 17:00:49
Updated: kudzu-devel.i386 1.1.95.11-2 Jul 01 17:00:50
Updated: redhat-logos.noarch 1.1.25-1.centos4.3 Jul 01 17:01:37
Updated: kernel-hugemem-devel.i686 2.6.9-11.EL Jul 01 17:01:37
Updated: pam-devel.i386 0.77-66.5 Jul 01 17:01:37
Updated: indexhtml.noarch 3:4-2.centos4 Jul 01 17:01:37
Updated: sysreport.noarch 1.3.15-2 Jul 01 17:01:38
Updated: emacs-leim.i386 21.3-19.EL.1 Jul 01 17:01:59
Updated: kernel-smp-devel.i686 2.6.9-11.EL Jul 01 17:02:21
Installed: kernel-devel.i686 2.6.9-11.EL Jul 01 17:02:23
Updated: coreutils.i386 5.2.1-31.1 Jul 01 17:02:23
Updated: pam.i386 0.77-66.5 Jul 01 17:02:24
Updated: xorg-x11-libs.i386 6.8.2-1.EL.13.6 Jul 01 17:02:25
Updated: krb5-libs.i386 1.3.4-12 Jul 01 17:02:25
Updated: openssl.i686 0.9.7a-43.2 Jul 01 17:02:29
Updated: python.i386 2.3.4-14.1 Jul 01 17:02:29
Updated: xorg-x11-font-utils.i386 6.8.2-1.EL.13.6 Jul 01 17:02:29
Updated: xorg-x11-Mesa-libGL.i386 6.8.2-1.EL.13.6 Jul 01 17:02:30
Updated: rpm.i386 4.3.3-9_nonptl Jul 01 17:02:30
Updated: procps.i386 3.2.3-8.1 Jul 01 17:02:30
Updated: mkinitrd.i386 4.2.1.3-1 Jul 01 17:02:30
Updated: pango.i386 1.6.0-9 Jul 01 17:02:30
Updated: rpm-python.i386 4.3.3-9_nonptl Jul 01 17:02:31
Updated: kudzu.i386 1.1.95.11-2 Jul 01 17:02:33
Updated: gtk2.i386 2.4.13-14 Jul 01 17:02:35
Updated: libgcj.i386 3.4.3-22.1 Jul 01 17:02:35
Updated: nscd.i386 2.3.4-2.9 Jul 01 17:02:35
Updated: xorg-x11-Mesa-libGLU.i386 6.8.2-1.EL.13.6 Jul 01 17:02:40
Updated: fonts-xorg-base.noarch 6.8.1.1-1.EL.1 Jul 01 17:02:41
Updated: fonts-xorg-75dpi.noarch 6.8.1.1-1.EL.1 Jul 01 17:02:41
Updated: cups-libs.i386 1:1.1.22-0.rc1.9.6 Jul 01 17:02:41
Updated: curl.i386 7.12.1-5.rhel4 Jul 01 17:02:42
Updated: krb5-devel.i386 1.3.4-12 Jul 01 17:02:43
Updated: openssl-devel.i386 0.9.7a-43.2 Jul 01 17:02:43
Updated: xorg-x11-xauth.i386 6.8.2-1.EL.13.6 Jul 01 17:02:44
Updated: lvm2.i386 2.01.08-1.0.RHEL4 Jul 01 17:02:49
Updated: libgcj-devel.i386 3.4.3-22.1 Jul 01 17:02:51
Updated: gcc-java.i386 3.4.3-22.1 Jul 01 17:02:51
Updated: policycoreutils.i386 1.18.1-4.3 Jul 01 17:02:51
Updated: emacs.i386 21.3-19.EL.1 Jul 01 17:02:52
Updated: java-1.4.2-gcj-compat.noarch 1.4.2.0-27jpp Jul 01 17:02:52
Updated: curl-devel.i386 7.12.1-5.rhel4 Jul 01 17:02:53
Updated: authconfig.i386 4.6.10-rhel4.1 Jul 01 17:02:53
Updated: nss_ldap.i386 226-6 Jul 01 17:02:55
Updated: up2date.i386 4.4.5.6-2.centos4.2 Jul 01 17:02:55
Updated: autofs.i386 1:4.1.3-131 Jul 01 17:02:56
Updated: fonts-xorg-100dpi.noarch 6.8.1.1-1.EL.1 Jul 01 17:02:58
Updated: python-devel.i386 2.3.4-14.1 Jul 01 17:02:58
Updated: openssh-server.i386 3.9p1-8.RHEL4.4 Jul 01 17:02:59
Updated: elinks.i386 0.9.2-3.2 Jul 01 17:02:59
Updated: openssh-clients.i386 3.9p1-8.RHEL4.4 Jul 01 17:02:59
Updated: krb5-workstation.i386 1.3.4-12 Jul 01 17:03:00
Updated: cvs.i386 1.11.17-7.RHEL4 Jul 01 17:03:00
Updated: sudo.i386 1.6.7p5-30.1.1 Jul 01 17:03:00
Updated: xorg-x11-Xvfb.i386 6.8.2-1.EL.13.6 Jul 01 17:03:01
Updated: initscripts.i386 7.93.13.EL-2.centos4 Jul 01 17:03:10
Installed: kernel.i686 2.6.9-11.EL Jul 01 17:03:10
Updated: openssh.i386 3.9p1-8.RHEL4.4 Jul 01 17:03:12
Updated: cups.i386 1:1.1.22-0.rc1.9.6 Jul 01 17:03:12
Updated: libpcap.i386 14:0.8.3-10.RHEL4 Jul 01 17:03:15
Updated: ethereal.i386 0.10.11-1.EL4.1 Jul 01 17:03:15
Updated: redhat-lsb.i386 1.3-10.EL Jul 01 17:03:15
Updated: xorg-x11-xfs.i386 6.8.2-1.EL.13.6 Jul 01 17:03:21
Updated: xorg-x11.i386 6.8.2-1.EL.13.6 Jul 01 17:03:21
Updated: tcpdump.i386 14:3.8.2-10.RHEL4 Jul 01 17:03:22
Updated: system-config-printer.i386 0.6.116-1.centos4.1 Jul 01 17:03:23
Updated: pcmcia-cs.i386 3.2.7-3.2 Jul 01 17:03:23
Updated: selinux-policy-targeted.noarch 1.17.30-2.88 Jul 01 17:03:23
Updated: pciutils.i386 2.1.99.test8-3.1 Jul 01 17:03:24
Updated: dhclient.i386 7:3.0.1-12_EL.centos4 Jul 01 17:03:24
Updated: netdump.i386 0.7.7-3 Jul 01 17:03:24
Updated: yum.noarch 2.2.1-1.centos4 Jul 01 17:03:31
Installed: kernel-smp.i686 2.6.9-11.EL Jul 01 17:03:31
Updated: ipsec-tools.i386 0.3.3-6 Jul 01 17:03:32
Updated: kernel-utils.i386 1:2.4-13.1.66 Jul 01 17:03:32
Updated: xorg-x11-tools.i386 6.8.2-1.EL.13.6


Comment on Re: Open page error for PDF::API2
Re^2: Open page error for PDF::API2
by almut (Canon) on Mar 07, 2007 at 20:37 UTC

    Hi, I just took a look at the PDF file you sent me, and I'm pretty sure the file itself is absolutely OK. Also, it does not make use of any weird filters (it uses nothing but the standard "FlateDecode" (to uncompress zlib streams), and "DCTDecode" (for jpeg images)). And PDF::API2 can load it just fine for me.

    So, I suppose the problem is rather with loading some underlying library in your environment - presumably something to do with libz, as that's what's needed under the hood for the FlateDecode filter.   (BTW, in the CB log I saw that you mentioned getting Undefined subroutine &Compress::Zlib::compress ... - What exactly did you do to get that error? - it didn't show up in the original errors you posted.)

    Anyhow, with the following minimal program (and your PDF file)

    use PDF::API2; my $pdf = PDF::API2->open('HP_SOA_Assement.pdf'); my $page = $pdf->openpage(1);

    it would require the FlateDecode filter, and thus have to load libz and stuff... (and, if I understood you correctly, the openpage call is already failing).

    Running strace -o trace.out perl the-above-script.pl might help to narrow down on where exactly things are going wrong...   (probably easiest, if you send me the trace output).

      I fixed it finaly, not exactly sure what the problem way but it seems when perl was updated something got messed up, so I completely uninstalled perl and all the modules and reinstalled everything again, and it worked, so I am a happy camper, thanks for all the help

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://603662]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others musing on the Monastery: (7)
As of 2014-09-20 09:57 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    How do you remember the number of days in each month?











    Results (158 votes), past polls